Bug 259713 - www/typo3-11: Update to 11.5.2
Summary: www/typo3-11: Update to 11.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://get.typo3.org/release-notes/1...
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2021-11-08 12:51 UTC by Helmut Ritter
Modified: 2021-11-24 06:53 UTC (History)
1 user (show)

See Also:


Attachments
Update to 11.5.2 (900 bytes, patch)
2021-11-08 12:51 UTC, Helmut Ritter
freebsd-ports: maintainer-approval+
Details | Diff
Update to 11.5.2 (885 bytes, patch)
2021-11-22 12:25 UTC, Helmut Ritter
freebsd-ports: maintainer-approval+
Details | Diff
Patch without CRLF terminators (862 bytes, patch)
2021-11-23 16:43 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helmut Ritter 2021-11-08 12:51:06 UTC
Created attachment 229361 [details]
Update to 11.5.2

This version is a maintenance release and contains bug fixes only.

For details about the release, please see:

https://get.typo3.org/release-notes/11.5.2

or our news https://typo3.org/article/typo3-1152-maintenance-release-published <https://typo3.org/article/typo3-1152-maintenance-release-published>
Comment 1 Fernando Apesteguía freebsd_committer 2021-11-19 08:12:45 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Q/A: patch did not apply cleanly. Would you mind checking it? It contains CRLF terminators.

Thanks!
Comment 2 Helmut Ritter 2021-11-19 08:25:37 UTC
1) Will do so in future
2) done
3) Applied fine for me, see the logs here: https://www.charlieroot.de/FreeBSD/PRs/build_www_typo3-11_2021-11-08-13-24.log
Comment 3 Fernando Apesteguía freebsd_committer 2021-11-19 08:47:39 UTC
(In reply to Helmut Ritter from comment #2)
Hi Helmut, thanks!

I see it builds fine for you, but did you actually download the patch that is in the PR? Bugzilla sometimes does not handle patches properly if they are copy-pasted in the text box.

Cheers
Comment 4 Helmut Ritter 2021-11-19 09:05:06 UTC
Here is the original diff:

https://www.charlieroot.de/FreeBSD/PRs/build_www_typo3-11_2021-11-08-13-24.diff
Comment 5 Fernando Apesteguía freebsd_committer 2021-11-19 09:28:25 UTC
(In reply to Helmut Ritter from comment #4)
Yes, this is fine:

fernape@beastie:~/FreeBSD-repos/ports/www/typo3-11$ file ~/build_www_typo3-11_2021-11-08-13-24.diff ~/Downloads/file_259713.txt 
/home/fernape/build_www_typo3-11_2021-11-08-13-24.diff: unified diff output, ASCII text
/home/fernape/Downloads/file_259713.txt:                unified diff output, ASCII text, with CRLF line terminators

Thanks!
Comment 6 Helmut Ritter 2021-11-22 12:25:39 UTC
Created attachment 229655 [details]
Update to 11.5.2
Comment 7 Fernando Apesteguía freebsd_committer 2021-11-23 16:43:48 UTC
Created attachment 229672 [details]
Patch without CRLF terminators
Comment 8 Fernando Apesteguía freebsd_committer 2021-11-24 06:53:42 UTC
Committed,

Thanks!
Comment 9 commit-hook freebsd_committer 2021-11-24 06:53:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=192db2cb24bc1b58ae687615502af64f8944dd08

commit 192db2cb24bc1b58ae687615502af64f8944dd08
Author:     Helmut Ritter <freebsd-ports@charlieroot.de>
AuthorDate: 2021-11-23 16:45:44 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-11-24 06:51:38 +0000

    www/typo3-11: Update to 11.5.2

    ChangeLog: https://get.typo3.org/release-notes/11.5.2

    While here, pet linters.

    PR:     259713
    Reported by:    freebsd-ports@charlieroot.de (maintainer)

 www/typo3-11/Makefile | 20 ++++++++++----------
 www/typo3-11/distinfo |  6 +++---
 2 files changed, 13 insertions(+), 13 deletions(-)